CI(travis): remove deprecated `sudo` keyword
[sqlconvert.git] / .travis.yml
1 # Config file for automatic testing at travis-ci.org
2
3 # Only test master and pull requests; skip tags.
4 # Other branches can allow themselves.
5 branches:
6   only:
7     - master
8
9 language: python
10
11 python:
12   - "2.7"
13
14 cache: pip
15
16 addons:
17   apt:
18     packages:
19       - python-psycopg2
20       - python3-psycopg2
21   postgresql: "9.4"
22
23 matrix:
24   include:
25   - python: "2.7"
26     env: TOXENV=py27
27   - python: "3.4"
28     env: TOXENV=py34
29   - python: "3.5"
30     env: TOXENV=py35
31   - python: "3.6"
32     env: TOXENV=py36
33   - python: "3.7"
34     dist: xenial
35     env: TOXENV=py37
36   - python: "2.7"
37     env: TOXENV=py27-postgres
38   - python: "3.4"
39     env: TOXENV=py34-postgres
40   - python: "3.5"
41     env: TOXENV=py35-postgres
42   - python: "3.6"
43     env: TOXENV=py36-postgres
44   - python: "3.7"
45     dist: xenial
46     env: TOXENV=py37-postgres
47   - python: "2.7"
48     env: TOXENV=py27-sqlite
49   - python: "3.4"
50     env: TOXENV=py34-sqlite
51   - python: "3.5"
52     env: TOXENV=py35-sqlite
53   - python: "3.6"
54     env: TOXENV=py36-sqlite
55   - python: "3.7"
56     dist: xenial
57     env: TOXENV=py37-sqlite
58   - python: "2.7"
59     env: TOXENV=py27-flake8
60   - python: "3.7"
61     dist: xenial
62     env: TOXENV=py37-flake8
63
64 install:
65   - travis_retry pip install --upgrade "pip < 19.1" setuptools tox ppu
66
67 script:
68   - tox
69
70 before_cache:
71   - remove-old-files.py -o 180 ~/.cache/pip